@import "variables";

.note-container {
    width: 20rem;
    min-height: 20rem;
    max-height: 30rem;
    display: flex;
    flex-direction: column;
    border: 1px solid $border-dark;
    border-radius: 10px;
    margin: 2rem;
    text-align: left;
    position: relative;
    &:hover {
        box-shadow: 0 0 0 1px $border-dark;
    }

    @media (max-width: 699px) {
        width: 18rem;
        margin: 2rem 1rem;
    }

    .note-image-container {
        max-height: 20rem;
        overflow: hidden;
        .note-image {
            width: 100% !important;
            border-radius: 10px 10px 0 0;
        }
    }

    .pin-icon {
        position: absolute;
        right: 0;
        top: 0;
        height: 3rem;
        width: 3rem;
        cursor: pointer;
        padding: 7px;
        border-radius: 100px;

        @media (max-width: 699px) {
            padding: 3px;
        }

        &.dark {
            background-color: $highlight-secondary-dark;
        }

        &.light {
            background-color: $highlight-secondary-light;
        }

        &.hidden {
            display: none;
        }
    }

    .note-title {
        width: calc(100%);
        padding: 1rem;
        height: 5rem;
        overflow: hidden;
        text-overflow: ellipsis;
        span {
            font-size: 2rem;
        }
    }

    .note-text {
        width: calc(100%);
        flex-grow: 1;
        padding: 1rem;
        overflow: hidden;
        overflow-wrap: break-word;
        max-height: 15rem;
        font-size: 1.5rem;

        // @media (max-width: 699px) {
        //     max-height: auto;
        // }
    }

    .note-actions {
        width: 100%;
        height: 5rem;
        display: flex;
        justify-content: space-around;
        padding: 1rem;

        &-icon {
            width: 3rem;
            height: 3rem;
            cursor: pointer;
            padding: 8px;
            border-radius: 100px;

            @media (max-width: 699px) {
                padding: 4px;
            }

            &.dark {
                &:hover {
                    background-color: $highlight-secondary-dark;
                }
            }

            &.light {
                &:hover {
                    background-color: $highlight-secondary-light;
                }
            }
            &.hidden {
                display: none;
            }
        }
    }
}